<!-- CREDIT: CPONE FOR THE COPBASE CONTOUR CODE-->
<table>
	<Hooks directory="hooks">
		<hook file="copbase.lua" source_file="lib/units/enemies/cop/copbase"/>
		<hook file="huskcopbase.lua" source_file="lib/units/enemies/cop/huskcopbase"/>
	</Hooks>
	
      <ScriptMods>
        <mod target_file="units/payday2/characters/ragdoll" target_type="sequence_manager" merge_mode="script_merge">
            <tbl>
              <table search="unit" mode="insert">
				<sequence editable_state="true" name="'pick_mats_for_cops'" once="true" triggable="true">
					<material_config name="'units/payday2/characters/'..pick('ene_cop_1/ene_cop_1','ene_cop_2/ene_cop_2','ene_cop_3/ene_cop_3','ene_cop_4/ene_cop_4','ene_cop_vars/ene_cop_var1','ene_cop_vars/ene_cop_var2','ene_cop_vars/ene_cop_var3')"/>
				</sequence>	
              </table>
              <table search="unit" mode="insert">
				<sequence editable_state="true" name="'pick_mats_for_fbis'" once="true" triggable="true">
					<material_config name="'units/payday2/characters/'..pick('ene_fbi_1/ene_fbi_1', 'ene_fbi_vars/ene_fbi_var1','ene_fbi_vars/ene_fbi_var2','ene_fbi_vars/ene_fbi_var3','ene_fbi_3/ene_fbi_3','ene_fbi_vars/ene_fbi_var4','ene_fbi_vars/ene_fbi_var5','ene_fbi_vars/ene_fbi_var6')"/>
				</sequence>	
              </table>     
              <table search="unit" mode="insert">
				<sequence editable_state="true" name="'pick_mats_for_secs'" once="true" triggable="true">
					<material_config name="'units/payday2/characters/'..pick('ene_security_1/ene_security_1','ene_security_2/ene_security_2','ene_security_3/ene_security_3','ene_security_vars/ene_security_var1','ene_security_vars/ene_security_var2','ene_security_vars/ene_security_var3','ene_security_3/ene_security_3','ene_security_vars/ene_security_var4','ene_security_vars/ene_security_var5','ene_security_vars/ene_security_var6')"/>
				</sequence>	
              </table>    
              <table search="unit" mode="insert">
				<sequence editable_state="true" name="'pick_mats_for_lacops'" once="true" triggable="true">
					<material_config name="'units/pd2_dlc_rvd/characters/'..pick('ene_la_cop_1/ene_la_cop_1','ene_la_cop_vars/ene_la_cop_var1','ene_la_cop_vars/ene_la_cop_var2','ene_la_cop_vars/ene_la_cop_var3','ene_la_cop_vars/ene_la_cop_var4','ene_la_cop_vars/ene_la_cop_var5','ene_la_cop_vars/ene_la_cop_var6')"/>
				</sequence>	
              </table>
              <table search="unit" mode="insert">
				<sequence editable_state="true" name="'pick_mats_for_murky'" once="true" triggable="true">
					<material_config name="'units/payday2/characters/'..pick('ene_murkywater_1/ene_murkywater_1','ene_murkywater_2/ene_murkywater_2','ene_murkywater_vars/ene_murkywater_var1','ene_murkywater_vars/ene_murkywater_var2','ene_murkywater_vars/ene_murkywater_var3','ene_murkywater_vars/ene_murkywater_var4')"/>
				</sequence>	
              </table>
              <table search="unit" mode="insert">
				<sequence editable_state="true" name="'pick_mats_for_fbimurky'" once="true" triggable="true">
					<material_config name="'units/pd2_mcmansion/characters/'..pick('ene_hoxton_breakout_guard_1/ene_hoxton_breakout_guard_1','ene_hoxton_breakout_guard_2/ene_hoxton_breakout_guard_2','ene_hoxton_breakout_guard_vars/ene_hoxton_breakout_guard_var1','ene_hoxton_breakout_guard_vars/ene_hoxton_breakout_guard_var2','ene_hoxton_breakout_guard_vars/ene_hoxton_breakout_guard_var3','ene_hoxton_breakout_guard_vars/ene_hoxton_breakout_guard_var4')"/>
				</sequence>	
              </table>
              <table search="unit" mode="insert">
				<sequence editable_state="true" name="'pick_mats_for_secsred'" once="true" triggable="true">
					<material_config name="'units/pd2_dlc1/characters/'..pick('ene_security_gensec_1/ene_security_gensec_1','ene_security_gensec_2/ene_security_gensec_2','ene_security_gensec_vars/ene_security_gensec_var1','ene_security_gensec_vars/ene_security_gensec_var2','ene_security_gensec_vars/ene_security_gensec_var3','ene_security_gensec_vars/ene_security_gensec_var4','ene_security_gensec_vars/ene_security_gensec_var5','ene_security_gensec_vars/ene_security_gensec_var6')"/>
				</sequence>	
              </table>
            </tbl>
        </mod>
    </ScriptMods>
	
</table>